Class PhusionPassenger::InitializationError |
In: | lib/phusion_passenger/exceptions.rb
Parent: | StandardError

An abstract base class for AppInitError and FrameworkInitError. This represents the failure when initializing something.

Methods

- new

Attributes

[RW] | child_exception | The exception that caused initialization to fail. This may be nil.

Public Class methods
new(message, child_exception = nil)

Create a new InitializationError. `message` is the error message, and `child_exception` is the exception that caused initialization to fail.

[ show source ]

        # File lib/phusion_passenger/exceptions.rb, line 43
    43:         def initialize(message, child_exception = nil)
    44:                 super(message)
    45:                 @child_exception = child_exception
    46:         end